Mixedbread

Abort Multipart Upload

Abort a multipart upload and clean up any uploaded parts.

POST
/v1/files/uploads/{upload_id}/abort

Authorization

ApiKeyAuth
headerAuthorizationBearer <token>

Api key to access Mixedbreads API

Path Parameters

upload_id*Upload Id

The ID of the multipart upload to abort

Formatuuid

Response Body

The details of the aborted upload

application/json
  1. response
id*Id

The ID of the deleted file

deleted?Deleted

Whether the file was deleted

Defaulttrue
object?Object

The type of the deleted object

Default"file"
Example Request
from mixedbread import Mixedbread

mxbai = Mixedbread(api_key="YOUR_API_KEY")

res = mxbai.files.uploads.abort("a1b2c3d4-e5f6-7890-abcd-ef1234567890")

print(res)
Example Response
{
  "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  "deleted": true,
  "object": "file"
}